classification
Title: test_compile killed by signal 9 on AMD64 FreeBSD Non-Debug 3.x
Type: Stage: resolved
Components: Tests Versions: Python 3.11
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: koobs, vstinner
Priority: normal Keywords:

Created on 2021-06-21 23:04 by vstinner, last changed 2021-09-21 18:38 by vstinner. This issue is now closed.

Messages (3)
msg396298 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2021-06-21 23:04
It looks like bpo-44360 which was a Linux OOM Killer issue since the Linux machine memory was too low.

AMD64 FreeBSD Non-Debug 3.x:
https://buildbot.python.org/all/#/builders/172/builds/387

...
test_single_statement (test.test_compile.TestSpecifics) ... ok
test_stack_overflow (test.test_compile.TestSpecifics) ... *** Signal 9
Stop.
make: stopped in /usr/home/buildbot/python/3.x.koobs-freebsd-9e36.nondebug/build
program finished with exit code 1
elapsedTime=855.058198
msg396424 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2021-06-23 14:37
https://buildbot.python.org/all/#/builders/172/builds/399

test_sequence_unpacking_error (test.test_compile.TestSpecifics) ... ok
test_single_statement (test.test_compile.TestSpecifics) ... ok
test_stack_overflow (test.test_compile.TestSpecifics) ... *** Signal 9
Stop.
make: stopped in /usr/home/buildbot/python/3.x.koobs-freebsd-9e36.nondebug/build
program finished with exit code 1
elapsedTime=835.734730
msg402344 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2021-09-21 18:38
I didn't see this failure recently.
History
Date User Action Args
2021-09-21 18:38:12vstinnersetstatus: open -> closed
resolution: out of date
messages: + msg402344

stage: resolved
2021-06-23 14:37:13vstinnersetmessages: + msg396424
2021-06-21 23:04:43vstinnercreate